Bug 176395 - Crash 100% of the time when accepting appointment with an attachment
Crash 100% of the time when accepting appointment with an attachment
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: evolution-connector (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-21 23:18 EST by Jay Thorne
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 12:27:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Thorne 2005-12-21 23:18:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
When I accept an emailed appointment that includes an attachment that is NOT also an appointment (ie, a .ics attachemnt), 100% of the time will crash evolution. With multiple .ics attachments this crash does not occur. This appears to only occur in the Evolution connector.

As a sneaking suspicion, its like the message navigator is is naively always grabbing the 1st mime attachment. If there is a second attachment, the unparseable attachment ie, non-vcalendar data is crashing the vcalendar parser.



Version-Release number of selected component (if applicable):
evolution-connector-2.2.2-5

How reproducible:
Always

Steps to Reproduce:
1. email yourself an appointment WITH an attached file that is not a .ics vcalendar file.
2. Click accept on appointment
3. Watch the crash
  

Actual Results:  Evolution crashed

Expected Results:  Evolution should have lived long, and prospered.

Additional info:
Comment 1 Christian Iseli 2007-01-22 06:18:55 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Jay Thorne 2007-01-22 12:27:17 EST
Fixed in fc6

Note You need to log in before you can comment on or make changes to this bug.